Quality Data

Returns a paged list of chemicals declarations and provides search functionality.

Returns a paged list of chemicals declarations and provides search functionality.

get
https://api-qual.migros.ch/migros/products/v8/products/chemicals-declarations

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

product_idsstring

A comma separated list or an array of product ids to filter the declarations.

updated_sincestring

The date and time used to only get declarations updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ChemicalsDeclarationCollection

A collection of chemicals declaration instances.

chemicals_declarationsarray[object]required
Show Child Parameters
total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

get/migros/products/v8/products/chemicals-declarations
 
application/json

Safety Sheet

Returns the list of SafetyData Sheets for the given product.

This endpoint is accessible only with the PRODUCT_SAFETY_SHEET role.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/safety-sheet

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

SafetySheetCollection

itemsarray[object]required
Show Child Parameters
get/migros/products/v8/products/{id}/safety-sheet
 
application/json

Declarations

Returns a paged list of declarations and provides filtering functionality.

The result is sorted descending by ‘valid_from’.

Please note that the ‘valid_from’ value of a declaration might be set to a future date: check its value if you
are looking for the currently valid declaration.

To only get one declaration per product id, use the ‘product_ids’ parameter and ‘relevance=mostrelevant-gtin’.

WARNING: When using the ‘gtins’ parameter in conjunction with ‘relevance=mostrelevant-gtin’, you get no
declaration for a gtin if that gtin is not the main gtin of the product and there is a declaration for the main
gtin, as that declaration is considered the most relevant.

get
https://api-qual.migros.ch/migros/products/v8/declarations

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

product_idsstring

A comma separated list or an array of product ids to filter the declarations.

gtinsstring

A comma separated list or an array of gtins to filter the declarations.

relevancestring

‘mostrelevant-gtin’ limits the result to only the most relevant declaration for each product: the one that was published most recently and is for the main gtin of the product, resp just the most recent if there is no declaration for the main gtin. ‘any’ does not limit the results.

Allowed values:anymostrelevant-gtin

Default:any

updated_sincestring

The date and time used to only get declarations updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

DeclarationsCollection

A collection of search result instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

declarationsarray[object]

Declarations information.

Show Child Parameters
get/migros/products/v8/declarations
 
application/json